From d0684f0dcacf08b7365ff32aeeabd6a5df2b119b Mon Sep 17 00:00:00 2001
From: Pierre-Yves Chibon <pingou@pingoured.fr>
Date: Jul 05 2016 08:24:04 +0000
Subject: [PATCH 523/1001] Fall back to sub if there is no nickname provided by the auth system


---

diff --git a/hubs/app.py b/hubs/app.py
index 6cc095e..c975952 100755
--- a/hubs/app.py
+++ b/hubs/app.py
@@ -523,7 +523,8 @@ def check_auth():
         if not hasattr(flask.session, 'auth') or not flask.session.auth:
             flask.session.auth = munch.Munch(
                 fullname=OIDC.user_getfield('name'),
-                nickname=OIDC.user_getfield('nickname'),
+                nickname=OIDC.user_getfield('nickname') \
+                    or OIDC.user_getfield('sub'),
                 email=OIDC.user_getfield('email'),
                 timezone=OIDC.user_getfield('zoneinfo'),
                 cla_done=\

